opencv_python-4.4.0-cp38-cp38-win_amd64.whl is not a supported wheel on this platform

ERROR: opencv_python-4.4.0-cp38-cp38-win_amd64.whl is not a supported wheel on this platform.

WARNING: You are using pip version 20.2.3; however, version 20.3.1 is available.
You should consider upgrading via the ‘e:\python\python39\python.exe -m pip install –upgrade pip’ command.

安装opencv库提示如上错误,一是下载与本地python版本一致的库文件。

下载地址:http://www.lfd.uci.edu/~gohlke/pythonlibs/#opencv

再就是电脑里的pip没有与之完全对应,出现不支持的现象。

解决方案

使用更新指令更新pip:

python -m pip install --upgrade pip

就可以解决问题了。

提示:更新指令连接可能不是很稳定,会更新一半报错,多试几次就好了~

E:\python>python39\python.exe -m pip install –upgrade pip
Collecting pip
Using cached pip-20.3.1-py2.py3-none-any.whl (1.5 MB)
Installing collected packages: pip
Attempting uninstall: pip
Found existing installation: pip 20.2.3
Uninstalling pip-20.2.3:
Successfully uninstalled pip-20.2.3
Successfully installed pip-20.3.1

125jz网原创文章。发布者:江山如画,转载请注明出处:http://www.125jz.com/9036.html

发表评论

登录后才能评论